<template lang="pug">
Transition
	.loading( v-if='active' )
</template>

<script setup>
const props = defineProps({
	active: Boolean
})
</script>

<style lang="scss" scoped>
.loading {
	width: 100%;
	height: 100%;
	background: rgba($color: #fff, $alpha: .6);
	box-shadow: 0 0 21px #fff;
	position: absolute;
	top: 0;
	left: 0;
	&::before,
	&::after {
		content: "";
		display: block;
		margin: auto;
		position: absolute;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
	}
	&::before {
		height: 1.5rem;
		width: 1.5rem;
		background: $grey-dark;
		border-radius: 50%;
	}
	&::after {
		height: 3rem;
		width: 3rem;
		border-radius: 50%;
		border: 6px solid transparent;
		border-top: 6px solid $primary;
		border-bottom: 6px solid $primary;
		animation: loading 1.5s infinite linear;
	}
}

@keyframes loading {
    0% {transform: rotate(0deg);}
    50% {transform: rotate(180deg);}
    100% {transform: rotate(360deg);}
}
</style>